# 32/64 spec-file
#
Name:		screenlets
Version:	0.1.6
Release:	%mkrel 3
License:	GPLv2
URL:		http://www.screenlets.org/
Summary:	Widget mini-apps (like OSX Dashboard or Vista Gadgets)
Summary(de):	Widget Mini-Apps (ähnlich der OSX Dashboard oder Vista Gadgets)
Group:		System/X11
Source0:	https://code.launchpad.net/screenlets/trunk/%name-%version.tar.xz
Patch0:		fix-dotdesktop.patch
Source1:	logo24.png
BuildRequires:	%{_lib}python-devel
BuildRequires:	desktop-file-utils
BuildArch:	noarch

Requires: pyxdg
Requires: python-dbus
Requires: gnome-python-desktop
Requires: python-beautifulsoup


%description
Screenlets are small owner-drawn applications (written in Python) 
that can be described as "the virtual representation of things 
lying/standing around on your desk". Sticknotes, clocks, rulers, ... 
the possibilities are endless

Screenlets work best with the Widget plugin for Compiz Fusion.
#german
%description -l de
Die Screenlets sind kleine Programme, mit denen Sie Notizen, Uhren 
oder die Wettervorhersage anzeigen und ausführen können und die Sie 
Ihren Wünschen entsprechend auf der Arbeitsfläche frei verteilen 
oder gruppieren können.

Diese kleinen Widgets oder Gadgets reichen vom Kalender der 
Systeminformation bis hin zur Wetteranzeige und sind in Python 
geschrieben. Sie finden diese Miniapplikationen für alle 
Anwendungsgebiete, sodass Sie damit auch Ihren Media-Spieler 
bedienen oder RSS-Feeds anzeigen können.

Screenlets unterstützt zudem die Designs von Superkaramba und mit 
dem Konverter können Sie auch die Google Gadgets und andere verwenden.


%prep
%setup -q
%patch0 -p0 -b .desktop
# Fix paths
grep -rl '/usr/local' * | xargs sed -i 's,/usr/local,%{_prefix},g'
# Fix dodgy desktop files
find -name *.desktop -exec sed -i 's/^\(Exec=.*\) >.*$/\1/' {} \;

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}
# Remove useless egg-info file
rm -f %{buildroot}%{py_puresitedir}/*.egg-info

install -d %{buildroot}%{_datadir}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/logo24.png

install -d %{buildroot}%{_datadir}/icons
install -m0644 desktop-menu/screenlets.svg %{buildroot}%{_datadir}/icons/screenlets.svg

desktop-file-install \
  --vendor="" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Toys" \
  --dir %{buildroot}%{_datadir}/applications \
  desktop-menu/%{name}-manager.desktop

echo "Icon=%{_datadir}/%{name}/logo24.png" >>desktop-menu/%{name}-daemon.desktop
desktop-file-install \
  --vendor="" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Toys" \
  --dir %{buildroot}%{_datadir}/applications \
  desktop-menu/%{name}-daemon.desktop

%find_lang %name %name %name-manager

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %name.lang
%defattr(-, root, root, 0755)
%doc CHANGELOG README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/%{name}
%{_datadir}/%{name}-manager
%{_iconsdir}/%{name}.svg
%{_iconsdir}/hicolor/scalable/apps/*svg
%{_iconsdir}/ubuntu-mono-*/apps/24/*svg
%{py_puresitedir}/screenlets/*


%changelog
* Fri Aug 16 2013 billybot <billybot> 0.1.6-3pclos2013
- update python 2.7

* Sat Jun 22 2013 pinoc <vogtpet at gmail.com> 0.1.6-2pclos2013
- corrected python-devel and python-dbus dependency 

* Tue Apr 10 2012 Neal <nealbrks0 at gmail dot com> 0.1.6-1pclos2012
- process

* Tue Apr 10 2012 leiche <meisssw01 at gmail.com> 0.1.6-1pclos2012
- 0.1.6
- add german description
 
* Fri Dec 09 2011 Texstar <texstar at gmail.com> 0.1.5-2pclos2011
- add dep python-beautifulsoup

* Mon Dec 05 2011 Texstar <texstar at gmail.com> 0.1.5-1pclos2011
- 0.1.5

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.1.2-3pclos2010
- python 2.6.6

* Tue Dec 22 2009 Texstar <texstar at gmail.com> 0.1.2-2pclos2010
- rebuild

* Wed Apr 01 2009 Neal <nealbrks0@gmail.com> 0.1.2-1pclos2009
- upgrade to version 0.1.2
- changed BuidRequires python-devel to libpython2.5-devel
- added UTF 8 encoding line to desktop entry
- updated files list
- set to remove kdeinit entry and config file

* Thu May 22 2008 Slick50 <slick50@linuxgator.org> 0.0.12-1pclos2007
- Initial build
- fix menu category no crossover in pclinuxos (texstar)


